"use client"
import React from 'react'
import Button from './Button'
import { Fire } from './Icons'
import { motion } from "framer-motion"
import Image from 'next/image'
import MovingText from './MovingText'


const HeroText = () => {
    return (
        <section className="hero mt-24">
            <motion.div
                initial={{ opacity: 0, y: -200 }}
                whileInView={{ opacity: 1, y: 0 }}
                viewport={{ once: true }}
                transition={{ duration: 1.3, ease: "easeInOut" }}
                className="hero-text flex flex-col items-center px-5"
            >
                <h1 className="w-full font-bold text-4xl md:text-5xl lg:text-6xl tracking-tighter text-stone-900 flex content-center items-center justify-center flex-none gap-2.5 flex-row flex-wrap md:max-w-[600px] lg:max-w-[700px]">
                    <span>The</span>
                    <span>Premier</span>
                    <span>Provider</span>
                    <span>of</span>
                    <span>Oil</span>
                    <span>and</span>
                    <span>Gas</span>
                    <Fire className="border" />
                    <span>Solutions.</span>
                </h1>

                <p className="text-center text-stone-600 pt-5 pb-10 md:max-w-[500px]">
                    Massa Al-Iraq Ltd: Your trusted partner in oil and gas, dedicated to excellence, safety, and innovation through precise engineering and flawless execution.
                </p>

                <Button label="View Projects" href="/projects" />
            </motion.div>

            <motion.div
                initial={{ opacity: 0, y: 200 }}
                whileInView={{ opacity: 1, y: 0 }}
                viewport={{ once: true }}
                transition={{ duration: 1.3, ease: "easeInOut" }}
                className="bg-gradient-to-t from-orange-400 from-10% to-transparent mt-10 lg:mt-12 relative hero-fader flex justify-center items-center isolate"
            >
                <Image
                    src="/hero-image.png"
                    alt="Oil Industry Iraq"
                    width={512}
                    height={512}
                    className="w-[90%] sm:max-w-[500px] lg:max-w-[700px]"
                    priority
                />

                <MovingText text="Fueling Success: Empowering Excellence in the Oil & Gas Industry with Innovation and Precision." />
            </motion.div>
        </section>
    )
}

export default HeroText